=begin pod

=TITLE class X::Anon::Multi

    class X::Anon::Multi does X::Comp { }

Compile time error thrown when an anonymous multi is being declared.

For example

    multi method () { }

dies with

    ===SORRY!===
    Cannot put multi on anonymous method

=head1 Methods

=head2 multiness

    method multiness() returns Str:D

Returns a string describing the multiness that the original code used, for
example C<"multi"> or C<"proto">.

=head2 routine-type

    method routine-type() returns Str:D

Returns a string describing the type of routine that was declared, for example
C<"sub"> or C<"method">.

=end pod
